@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.5;
}
body {
    min-height: 100%;
    color: $primary;
    background-color: #F6F8FA;
    font-family: $font-family-primary;
    font-size: toRem(14);
    line-height: toRem(24);
}

.container {
    width: 100%;
    padding: 0 toRem(16);
    max-width: 100rem;

    @include media-breakpoint-up(xl) {
        padding: 0 toRem(24);
    }
    @include media-breakpoint-up(xxl) {

    }
}


// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 600;
    line-height: 1.2;
}

h1, .h1 {
    font-size: toRem(24);
    line-height: toRem(29);
    margin-bottom: toRem(12);
}

h2, .h2 {
    font-size: toRem(22);
    margin-bottom: toRem(12);
}

h3, .h3 {
    font-weight: 500;
    font-size: toRem(16);
    margin-bottom: toRem(12);
}

h4, .h4 {
    font-weight: 500;
    font-size: toRem(14);
    margin-bottom: toRem(12);
}

h5, .h5 {
    font-weight: 400;
    font-size: toRem(14);
    margin-bottom: toRem(12);
}

h6, .h6 {
    font-weight: 600;
    font-size: toRem(12);
    margin-bottom: toRem(12);
}

a {
    color: $primary;
    text-decoration: underline;

    &:hover {
        color: $primary;
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

// Lists

ol,
ul {
    padding-left: toRem(32);
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: toRem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


a {
    color: $blue;
    text-decoration: underline;

    &:hover {
        color: $blue;
        text-decoration: none;
    }
}

